Bug 447885 - Please ship Serbian latin script translation for system-config-language
Please ship Serbian latin script translation for system-config-language
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 06:14 EDT by Miloš Komarčević
Modified: 2009-09-21 17:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-25 18:34:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloš Komarčević 2008-05-22 06:14:10 EDT
+++ This bug was initially created as a clone of Bug #447879 +++

Please note that po/sr@Latn.po was renamed to po/sr@latin.po some time ago, so
any Makefiles, configure scripts, etc., need to be updated in order to have the
Serbian Latin script translation shipped as well.
Comment 1 Miloš Komarčević 2008-05-25 06:24:02 EDT
Re bug 447879, comment 1

system-config-language-1.2.15-4 still ships sr@Latn instead of sr@latin (still
the same old source tarball from 15/1/2008, the change was done after in CVS)

Also, why was this necessary in the new patch?

@@ -68,7 +68,7 @@ class childWindow:
         self.title = gtk.Label(_("Language Selection"))
         self.title.modify_fg(gtk.STATE_NORMAL, gtk.gdk.color_parse ("white"))
 
-        self.msgLabel = gtk.Label(_("Please select the default language for the
system."))
+        self.msgLabel = gtk.Label(_(" Please select the default language for
the system."))
         self.msgLabel.set_line_wrap(True)
         self.msgLabel.set_alignment(0.0, 0.5)


The whitespace change in the string will render all the translations of the
original string useless.
Comment 2 Pravin Satpute 2008-05-26 06:25:45 EDT
thanks for notifying 
modifying in rawhide
rpm version system-config-language-1.2.15-5
Comment 3 Miloš Komarčević 2008-05-27 17:32:22 EDT
Thanks Pravin, but I must admit this is not the fix I was expecting, nor do I
think it is appropriate to have the "mv po/sr@Latn.po po/sr@latin.po" workaround
in the spec file in the long run.

The name change to sr@latin.po has already taken place in CVS months ago [1], so
it would be best to just ship the updated source tarball (with the added benefit
of shipping more updated translations, if any), than to resort to kludgy
patching of the spec file. This should have happened for F9 automatically, and
it would be nice if an update is shipped.

[1] http://cvs.fedoraproject.org/viewcvs/redhat-config-language/po/?root=elvis
Comment 4 Pravin Satpute 2008-05-28 01:36:47 EDT
Hi Milos,
agree with you. This is just temporary solution.
In the next s-c-l upstream tarball release (may be
system-config-language-1.2.16.tar.bz2), we will surely do all the required changes.
Comment 5 Pravin Satpute 2008-06-24 09:01:14 EDT
Milos,
done the required thing
can you check rawhid for that??
Comment 6 Miloš Komarčević 2008-06-25 18:34:52 EDT
Pravin, confirmed in system-config-language-1.3.1-1.fc10, thanks.

Note You need to log in before you can comment on or make changes to this bug.